0

I'm totally confused about the installation in my Manjaro. I remember that months ago I was just happy to see Flash-videos in my Vivaldi.

So here is what I have (I removed some obvious false positives):

[root@runlikehell ~]# find / -iname "*pepper*"
/opt/google/chrome/PepperFlash
/home/sjngm/.config/vivaldi/Default/Pepper Data

[root@runlikehell ~]# find / -iname "*flash*"
/usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/kde4/kcm_adobe_flash_player.so
/usr/lib/libreoffice/program/libflashlo.so
/usr/share/licenses/flashplugin
/usr/share/mime/application/vnd.adobe.flash.movie.xml
/usr/share/kde4/services/kcm_adobe_flash_player.desktop
/usr/share/applications/flash-player-properties.desktop
/usr/bin/flash-var
/usr/bin/flash-player-properties
/var/lib/pacman/local/flashplugin-25.0.0.171-1
/var/cache/pacman/pkg/flashplugin-25.0.0.171-1-x86_64.pkg.tar.xz
/var/cache/pacman/pkg/flashplugin-25.0.0.127-1-x86_64.pkg.tar.xz
/var/cache/pacman/pkg/flashplugin-25.0.0.148-1-x86_64.pkg.tar.xz
/opt/google/chrome/PepperFlash
/opt/google/chrome/PepperFlash/libpepflashplayer.so
/home/sjngm/.macromedia/Flash_Player
/home/sjngm/.macromedia/Flash_Player/macromedia.com/support/flashplayer
/home/sjngm/.macromedia/Flash_Player/#SharedObjects/XV4QLATD/static.cdn-ec.viddler.com/flash
/home/sjngm/.adobe/Flash_Player
/home/sjngm/.config/vivaldi/Default/Pepper Data/Shockwave Flash
/home/sjngm/.config/vivaldi/Default/Pepper Data/Shockwave Flash/WritableRoot/#SharedObjects/CDJUJ6XP/macromedia.com/support/flashplayer
/home/sjngm/.config/vivaldi/Default/Pepper Data/Shockwave Flash/WritableRoot/#SharedObjects/CDJUJ6XP/de.chaturbate.com/static/javascript-flash-cookies
/home/sjngm/.config/vivaldi/Default/Pepper Data/Shockwave Flash/WritableRoot/#SharedObjects/CDJUJ6XP/ss.phncdn.com/html5player/videoPlayer/oldFlash
[root@runlikehell ~]# 

If I go to http://get.adobe.com/en/flashplayer/about/ it tells me that I have version 22,0,0,209 (sic) installed. However, I can see that Octopi shows a pepper-flash 25.0.0.171-1 (the icon shows that I haven't installed it yet) in YAOURT and a flashplugin 25.0.0.171-1 (installed).

From what I remember Vivaldi needs the Pepper Flash to work, but I can't remember how I made it work back then. Shame on me... Also I don't know where Vivaldi tries to find the plug-in.

Do I still have a correct installation (just because I can see videos is no proof to me)? Should I install YAOURT's pepper-flash? Do I need to do further steps after installing this? Should I remove anything from my current installation?

I'd really appreciate if somebody can line out the steps I need to take to move to an automated update of that plug-in via Octopi/pacman as version 22.x is just plain old and I obviously have troubles to keep up...

0

Ok, I was way too curious to wait any longer ;)

I fooled around with /opt/google/chrome/PepperFlash/libpepflashplayer.so and noticed that it really was the library Vivaldi uses. I decided to install pepper-flash and the library is now in /usr/lib/PepperFlash/libpepflashplayer.so. I removed the original location and everything is running fine so far, the Adobe site tells me that I'm using an up-to-date version...

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.